### Name: animation-package
### Title: Statistical Animations Using R
### Aliases: animation-package animation
### Keywords: package dynamic device dplot

### ** Examples

## Not run: 
##D #############################################################
##D # (1) Animations in HTML pages
##D # create an animation page in the tempdir() and auto-browse it 
##D # Brownian Motion 
##D oopt = ani.options(interval = 0.05, nmax = 100, ani.dev = png,
##D     ani.type = "png",
##D     title = "Demonstration of Brownian Motion",
##D     description = "Random walk on the 2D plane: for each point
##D     (x, y), x = x + rnorm(1) and y = y + rnorm(1).")
##D ani.start()
##D opar = par(mar = c(3, 3, 2, 0.5), mgp = c(2, .5, 0), tcl = -0.3,
##D     cex.axis = 0.8, cex.lab = 0.8, cex.main = 1)
##D brownian.motion(pch = 21, cex = 5, col = "red", bg = "yellow",
##D     main = "Demonstration of Brownian Motion")
##D par(opar)
##D ani.stop()
##D ani.options(oopt)
##D 
##D #############################################################
##D # (2) Animations inside R windows graphics devices
##D # Bootstrapping
##D oopt = ani.options(interval = 0.3, nmax = 50)
##D boot.iid()
##D ani.options(oopt)
##D 
##D #############################################################
##D # (3) GIF animations
##D oopt = ani.options(interval = 0, nmax = 100)
##D saveMovie(brownian.motion(pch = 21, cex = 5, col = "red", bg = "yellow"),
##D     interval = 0.05, outdir = getwd(), width = 600, height = 600)
##D ani.options(oopt)
##D 
##D #############################################################
##D # (4) Flash animations
##D oopt = ani.options(nmax = 100, interval = 0)
##D saveSWF(buffon.needle(type = "S"), para = list(mar = c(3, 2.5, 1, 0.2),
##D     pch = 20, mgp = c(1.5, 0.5, 0)), dev = "pdf", swfname = "buffon.swf",
##D     outdir = getwd(), interval = 0.1)
##D ani.options(oopt)
## End(Not run)



