### Name: bisection.method
### Title: Demonstration of the Bisection Method for Root-finding on an
###   Interval
### Aliases: bisection.method
### Keywords: optimize dynamic dplot

### ** Examples

# default example 
xx = bisection.method() 
xx$root  # solution

## Not run: 
##D  
##D # a cubic curve 
##D f = function(x) x^3 - 7 * x - 10 
##D xx = bisection.method(f, c(-3, 5)) 
##D # interaction: use your mouse to select the end-points 
##D bisection.method(f, c(-3, 5), interact = TRUE) 
##D 
##D # HTML animation pages 
##D ani.start(nmax = 50, ani.height = 400, ani.width = 600, interval = 1,
##D     title = "The Bisection Method for Root-finding on an Interval",
##D     description = "The bisection method is a root-finding algorithm
##D     which works by repeatedly dividing an interval in half and then
##D     selecting the subinterval in which a root exists.")
##D par(mar = c(4, 4, 1, 2))
##D bisection.method(main = "")
##D ani.stop() 
##D 
## End(Not run)



