### Name: boot.iid
### Title: Bootstrapping the i.i.d data
### Aliases: boot.iid
### Keywords: nonparametric dynamic dplot

### ** Examples

# bootstrap for 20 random numbers from U(0, 1)
opar = par(mar = c(1.5, 3, 1, 0.1), cex.lab = 0.8, cex.axis = 0.8,
    mgp = c(2, 0.5, 0), tcl = -0.3)
oopt = ani.options(interval = 0.5, nmax = 40)
# don't want the titles
boot.iid(main = c("", ""))

# for the median of 15 points from chi-square(5) 
boot.iid(x = rchisq(15, 5), statistic = median, main = c("", ""))

# change the layout; or you may try 'mat = matrix(1:2, 1)'
par(mar = c(1.5, 3, 2.5, 0.1), cex.main = 1)
boot.iid(heights = c(1, 2))

par(opar)

## Not run: 
##D  
##D # save the animation in HTML pages
##D ani.options(ani.height = 500, ani.width = 600, outdir = getwd(),
##D     title = "Bootstrapping the i.i.d data",
##D     description = "This is a naive version of bootstrapping but
##D     may be useful for novices.")
##D ani.start()
##D par(mar = c(2.5, 4, 0.5, 0.5))
##D boot.iid(main = c("", ""), heights = c(1, 2))
##D ani.stop()
##D 
## End(Not run)

ani.options(oopt)



