### Name: buffon.needle
### Title: Simulation of Buffon's Needle
### Aliases: buffon.needle
### Keywords: dplot hplot dynamic math

### ** Examples

# it takes several seconds if 'redraw = TRUE' 
oopt = ani.options(nmax = 500, interval = 0)
opar = par(mar = c(3, 2.5, 0.5, 0.2), pch = 20, mgp = c(1.5, 0.5, 0))
buffon.needle()

# this will be faster 
buffon.needle(redraw = FALSE)

par(opar)
## Not run: 
##D  
##D # create HTML animation page
##D ani.options(nmax = 100, interval = 0.1, ani.height = 500, ani.width = 600,
##D     outdir = getwd(), title = "Simulation of Buffon's Needle",
##D     description = "There are three graphs made in each step: the top-left
##D     one is a simulation of the scenario, the top-right one is to help us
##D     understand the connection between dropping needles and the mathematical
##D     method to estimate pi, and the bottom one is the result for each
##D     dropping.")
##D ani.start()
##D par(mar = c(3, 2.5, 1, 0.2), pch = 20, mgp = c(1.5, 0.5, 0))
##D buffon.needle(type = "S")
##D ani.stop() 
##D 
## End(Not run)

ani.options(oopt)



