### Name: knn.ani
### Title: Demonstrate kNN classification algorithm on the 2D plane
### Aliases: knn.ani
### Keywords: hplot iplot dynamic classif

### ** Examples

## a binary classification problem 
oopt = ani.options(interval = 2, nmax = 10)
x = matrix(c(rnorm(80, mean = -1), rnorm(80, mean = 1)),
    ncol = 2, byrow = TRUE) 
y = matrix(rnorm(20, mean = 0, sd = 1.2), ncol = 2) 
knn.ani(train = x, test = y, cl = rep(c("first class", "second class"),
    each = 40), k = 30)

x = matrix(c(rnorm(30, mean = -2), rnorm(30, mean = 2),
    rnorm(30, mean = 0)), ncol = 2, byrow = TRUE)
y = matrix(rnorm(20, sd = 2), ncol = 2)
knn.ani(train = x, test = y, cl = rep(c("first", "second", "third"),
    each = 15), k = 25, cl.pch = c(2, 3, 19), dist.lty = 3)

## Not run:  
##D # an interactive demo: choose the test set by mouse-clicking
##D ani.options(nmax = 5)
##D knn.ani(interact = TRUE)
##D 
##D ani.options(ani.height = 500, ani.width = 600, outdir = getwd(), nmax = 10,
##D     interval = 2, title = "Demonstration for kNN Classification",
##D     description = "For each row of the test set, the k nearest (in Euclidean
##D     distance) training set vectors are found, and the classification is
##D     decided by majority vote, with ties broken at random.")
##D ani.start()
##D par(mar = c(3, 3, 1, 0.5), mgp = c(1.5, 0.5, 0))
##D knn.ani()
##D ani.stop()
##D 
## End(Not run)
ani.options(oopt)



